From 6df867f65dc87ee971c1b9e120aeb7b3888ea3f2 Mon Sep 17 00:00:00 2001
From: Niklas Haas <git@haasn.dev>
Date: Wed, 19 Feb 2025 19:56:46 +0100
Subject: [PATCH 18/37] avfilter/vf_showinfo: print alpha mode when relevant

---
 libavfilter/vf_showinfo.c | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/libavfilter/vf_showinfo.c b/libavfilter/vf_showinfo.c
index c706d00c96..a85e894ae5 100644
--- a/libavfilter/vf_showinfo.c
+++ b/libavfilter/vf_showinfo.c
@@ -887,6 +887,14 @@ static int filter_frame(AVFilterLink *inlink, AVFrame *frame)
 
     dump_color_property(ctx, frame);
 
+    if (desc->flags & AV_PIX_FMT_FLAG_ALPHA) {
+        const char *alpha_mode_str = av_alpha_mode_name(frame->alpha_mode);
+        if (!alpha_mode_str || frame->alpha_mode == AVALPHA_MODE_UNSPECIFIED)
+            av_log(ctx, AV_LOG_INFO, "alpha_mode:unspecified\n");
+        else
+            av_log(ctx, AV_LOG_INFO, "alpha_mode:%s\n", alpha_mode_str);
+    }
+
     return ff_filter_frame(inlink->dst->outputs[0], frame);
 }
 
-- 
2.49.1


